detekt-api
1.21.0-RC2

# Config

interface Config
Content copied to clipboard

A configuration holds information about how to configure specific rules.

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard
InvalidConfigurationError
Link copied to clipboard
class InvalidConfigurationError (throwable: Throwable ? = null) : RuntimeException
Content copied to clipboard

Is thrown when loading a configuration results in errors.

## Functions

subConfig
Link copied to clipboard
abstract fun subConfig (key: String ): Config
Content copied to clipboard

Tries to retrieve part of the configuration based on given key.

valueOrDefault
Link copied to clipboard
open fun < T : Any > valueOrDefault (key: String , default: T ): T
Content copied to clipboard

Retrieves a sub configuration or value based on given key. If configuration property cannot be found the specified default value is returned.

valueOrNull
Link copied to clipboard
abstract fun < T : Any > valueOrNull (key: String ): T ?
Content copied to clipboard

Retrieves a sub configuration or value based on given key. If the configuration property cannot be found, null is returned.

## Properties

parentPath
Link copied to clipboard
open val parentPath : String ?
Content copied to clipboard

Keeps track of which key was taken to subConfig this configuration. Sub-sequential calls to subConfig are tracked with '>' as a separator.

## Inheritors

ConfigAware
Link copied to clipboard

## Extensions

createPathFilters
Link copied to clipboard
fun Config . createPathFilters (): PathFilters ?
Content copied to clipboard
valueOrDefaultCommaSeparated
Link copied to clipboard
fun Config . valueOrDefaultCommaSeparated (key: String , default: List < String >): List < String >
Content copied to clipboard